Get customers by external customer ID
curl --request GET \
--url https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "c1d2e3f4-5678-90ab-cdef-1234567890ab",
"externalCustomerId": "customer-1234",
"kyc": {
"status": "collecting",
"requirements": {
"basicDetails": {
"status": "incomplete",
"requiredFields": [
"firstName",
"lastName",
"dateOfBirth",
"nationality"
]
},
"residentialAddress": {
"status": "incomplete",
"requiredFields": [
"street",
"locality",
"postalCode",
"administrativeArea"
]
},
"identityDocuments": {
"status": "incomplete"
},
"selfie": {
"status": "incomplete"
},
"taxIdentifiers": {
"status": "incomplete",
"requiredFields": [
"ssn"
]
},
"proofOfAddress": {
"status": "incomplete"
},
"phoneNumber": {
"status": "incomplete"
},
"questionnaires": {
"status": "incomplete",
"requiredFields": [
"customerDueDiligence",
"enhancedDueDiligence"
]
},
"proofOfIncome": {
"status": "incomplete"
}
},
"challenge": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
}
]
}{
"code": "unauthorized",
"message": "Not authorized"
}{
"code": "forbidden",
"message": "Forbidden"
}{
"code": "forbidden",
"message": "Forbidden",
"errors": [
{
"field": "source.amount",
"message": "Source amount must be a numeric string. Example \"100\" or \"10.25\"."
}
]
}Customers
Get customers by external customer ID
Look up the customers connected to your account under a partner-supplied external customer ID
GET
/
platform
/
v1
/
customers
/
ext
/
{externalCustomerId}
Get customers by external customer ID
curl --request GET \
--url https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moonpay.com/platform/v1/customers/ext/{externalCustomerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "c1d2e3f4-5678-90ab-cdef-1234567890ab",
"externalCustomerId": "customer-1234",
"kyc": {
"status": "collecting",
"requirements": {
"basicDetails": {
"status": "incomplete",
"requiredFields": [
"firstName",
"lastName",
"dateOfBirth",
"nationality"
]
},
"residentialAddress": {
"status": "incomplete",
"requiredFields": [
"street",
"locality",
"postalCode",
"administrativeArea"
]
},
"identityDocuments": {
"status": "incomplete"
},
"selfie": {
"status": "incomplete"
},
"taxIdentifiers": {
"status": "incomplete",
"requiredFields": [
"ssn"
]
},
"proofOfAddress": {
"status": "incomplete"
},
"phoneNumber": {
"status": "incomplete"
},
"questionnaires": {
"status": "incomplete",
"requiredFields": [
"customerDueDiligence",
"enhancedDueDiligence"
]
},
"proofOfIncome": {
"status": "incomplete"
}
},
"challenge": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
}
]
}{
"code": "unauthorized",
"message": "Not authorized"
}{
"code": "forbidden",
"message": "Forbidden"
}{
"code": "forbidden",
"message": "Forbidden",
"errors": [
{
"field": "source.amount",
"message": "Source amount must be a numeric string. Example \"100\" or \"10.25\"."
}
]
}Some Platform API capabilities must be enabled on your account by MoonPay
before you can call them. If this endpoint returns an unexpected
404, see
Capability
enablement.Authorizations
AccessTokenAuthSecretApiKeyInHeaderAuth